Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1369216

Summary: Evince Presentation mode wayland+hidpi, monitor geometry is reported larger under wayland vs X
Product: [Fedora] Fedora Reporter: Yogesh Sharma <yogeshsharma>
Component: gtk3Assignee: Matthias Clasen <mclasen>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: caolanm, cosimo.cecchi, feborges, mclasen, mkasik
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-06 15:14:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Yogesh Sharma 2016-08-22 17:02:00 UTC
When using waykland on hidpi (lenovo yoga 900), presentation is no scaled properly and part of presentation if off the screen.

Comment 1 Fedora Admin XMLRPC Client 2016-10-14 08:09:57 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Caolan McNamara 2017-02-23 10:07:47 UTC
This appears to be http://bugzilla.gnome.org/show_bug.cgi?id=760567 where the monitor geometry is scaled by the hidpi scaling factor under X, but not under Wayland so evince gets a bigger size under Wayland than it does under X

Comment 3 Fedora End Of Life 2018-05-03 08:33:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Yogesh Sharma 2018-05-06 15:14:10 UTC
Fixed in Fedora 28.